ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Platform.Profile

Description

Platform profiles

Synopsis

- data Profile = Profile {
  - profilePlatform :: !Platform
  - profileWays :: !Ways
  }
- profileBuildTag :: Profile -> String
- profileConstants :: Profile -> PlatformConstants
- profileIsProfiling :: Profile -> Bool
- profileWordSizeInBytes :: Profile -> Int

# Documentation

data Profile Source #

A platform profile fully describes the kind of objects that are generated for a platform.

`Platform` doesn't fully describe the ABI of an object. Compiler ways (profiling, debug, dynamic) also modify the ABI.

Constructors

Profile |

Fields

- profilePlatform :: !Platform

  Platform

- profileWays :: !Ways

  Ways

#### Instances

Instances details

Read Profile Source # |
Instance details Defined in GHC.Platform.Profile Methods readsPrec :: Int -> ReadS Profile Source # readList :: ReadS [Profile] Source # readPrec :: ReadPrec Profile Source # readListPrec :: ReadPrec [Profile] Source #
Show Profile Source # |
Instance details Defined in GHC.Platform.Profile Methods showsPrec :: Int -> Profile -> ShowS Source # show :: Profile -> String Source # showList :: [Profile] -> ShowS Source #
Eq Profile Source # |
Instance details Defined in GHC.Platform.Profile Methods (==) :: Profile -> Profile -> Bool # (/=) :: Profile -> Profile -> Bool #
Ord Profile Source # |
Instance details Defined in GHC.Platform.Profile Methods compare :: Profile -> Profile -> Ordering # (<) :: Profile -> Profile -> Bool # (<=) :: Profile -> Profile -> Bool # (>) :: Profile -> Profile -> Bool # (>=) :: Profile -> Profile -> Bool # max :: Profile -> Profile -> Profile # min :: Profile -> Profile -> Profile #

profileBuildTag :: Profile -> String Source #

Unique build tag for the profile

profileConstants :: Profile -> PlatformConstants Source #

Get platform constants

profileIsProfiling :: Profile -> Bool Source #

Is profiling enabled

profileWordSizeInBytes :: Profile -> Int Source #

Word size in bytes